.sidebar {
  background-color: rgb(255, 255, 255);
  padding: 20px;
  box-sizing: border-box;
  height: 100%;
  display: flex;
  flex-direction: column;
  gap: 5px;
  /* box-shadow: 2px 0px 4px 4px black; */
  box-shadow: 10px 0 15px -5px rgba(0, 0, 0, 0.3);
  transition: all 0.4s ease;
  /* height: 100vh; */
  border-right: 1px solid lightgray;
}

.sidebar-visible {
  width: 240px;
}

.sidebar-invisible {
  width: 0px;
  padding-left: 0px;
  padding-right: 0px;
}

.sidebar a {
  text-decoration: none;
  display: inline-block;
  height: 40px;
  /* width: 200px; */
  background-color: rgb(238, 238, 238);
  padding: 20px;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  gap: 5px;
  color: black;
  font-size: 14px;
  border-radius: 5px;
  transition: all 0.25s ease;
}

.sidebar a:hover {
  background-color: rgb(209, 209, 209);
  /* transform: scale(1.02); */
}

.sidebar ul {
  list-style-type: none;
  padding: 0;
}

.sidebar li {
  margin-bottom: 10px;
}

.sidebar .section-title {
  font-weight: 600;
  margin: 10px 0;
  text-transform: uppercase;
}

.sidebar .selected {
  background-color: rgb(123, 201, 232);
}

.sidebar .selected:hover {
  background-color: rgb(123, 201, 232);
}
